"""A module used to test persistent module patching."""

from zodb.utils import *

def aFunc():
    def nestedFunc():
        return aFunc
    return 1

class Foo(object):
    def meth(self):
        return 0

    class Nested(object):
        def bar(self):
            return 1

# put aFunc inside a function to be sure it is found
foo = (aFunc,)

class Bar:
    def bar(self, x):
        return 2 * x

    static = staticmethod(aFunc)
    alias = aFunc

    classbar = classmethod(bar)

class Sub(Bar):
    pass

def anotherFunc():
    class NotFound:
        pass
